<li :class="{
  'list-group-item': true,
  'list-group-item-danger': info.status === 2
}">
  <div v-show="nameNew !== false" class="input-group" @click.prevent>
    <input
      v-el:input
      type="text"
      class="form-control"
      v-model="nameNew"
      @keyup.enter="rename"
      @keyup.esc="nameNew=info.name;rename();"
      >
    <span class="input-group-btn">
      <button
        class="btn btn-default"
        type="button"
        @click="rename"
        :disabled="!nameNew"
        >
        Rename
      </button>
    </span>
  </div>
  <span
    v-show="nameNew === false"
    >
    {{info.name}}
    <span
      v-if="info.manager"
      class="label label-primary"
      >
      Manager
    </span>
    <span
      v-if="info.privacy !== undefined"
      :class="{
        'label': true,
        'label-success': info.privacy === 0,
        'label-warning': info.privacy === 1,
        'label-danger': info.privacy === 2,
      }">
      {{ ["Public","Protected","Private"][info.privacy] }}
    </span>
    <span
      v-if="info.status !== undefined && info.status !== 1"
      :class="{
        'label': true,
        'label-warning': info.status === 0,
        'label-success': info.status === 1,
        'label-danger': info.status === 2,
      }">
      {{ ["Inactive","Active","Deleted"][info.status] }}
    </span>
    <span
      v-if="info.password"
      class="label label-info">
      has password
    </span>
    <div class="btn-group pull-right" @click.prevent>
      <group-control
        :info="info"
        ></group-control>
      <button
        v-if="canModItem || info.manager"
        class="btn btn-info btn-xs"
        @click="nameNew = info.name"
        >
        <i class="fa fa-pencil"></i>
        Rename
      </button>
      <button
        v-if="(canModItem || info.manager) && info.status !== 2"
        class="btn btn-danger btn-xs"
        @click="remove">
        <i class="fa fa-trash"></i>
        Remove
      </button>
    </div>
  </span>
</li>
